<!-- $Header: /cvsroot/xbae/Xbae/doc/coverplus.html,v 1.5 2002/08/21 18:24:35 dannybackx Exp $ -->
<HTML>
<HEAD>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="GENERATOR" CONTENT="Mozilla/4.04 [en] (WinNT; I) [Netscape]">
   <TITLE>CoverPlus</TITLE>
</HEAD>
<BODY>

<H3>
CUSTOMER: TransEDA</H3>

<H3>
PROJECT: CoverPlus User Interface</H3>


<P><A HREF="http://www.transeda.com" TARGET="_top">TransEDA</A>
produce code coverage
tools for simulators using High Level Definition Languages (HDLs) to 
simulate silicon designs. These measure the percentage of an HDL model
exercised by a testbench during a simulation highlighting the untested
parts of the model carrying the biggest risk of defects. This enables you
to save time, optimise the simulation and improve the quality of your
model.

<P><A HREF="http://www.transeda.com/products/cp_detail.html" TARGET="_top">
<I>Cover</I>Plus</A>
is a regression test optimisation tool. It allows users to compare the
relative coverage of all testcases within a test case suite. This allows
users to identify those tests that are critical and those that add less
to the test. This allows tests to be run in the right order allowing errors
to be found more quickly.

<P>TransEDA have developed a complex and powerful analysis library written
in C++. Tessella added a graphical user interface to this to allow users
to easily view the results, order the tests and view and analyse the code
of the test. Easy of use facilities such as drag and drop, mouse column
resizing and user colour selection have beed added.

<P>An example window is shown below:

<P><IMG SRC="images/coverplus.png" ALT="CoverPlus Screenshot">

<P>This GUI was written using C++ and Motif and runs on a variety of Unix
platforms (Sun, RS6000, HP). To minimise costs, various shareware packages
were used that proved high quality and flexible. Costs were also kept down
further by re-using some utility Motif classes from Tessella's other Motif
projects.

<P>TransEDA were enhancing their processing classes at the same time as
Tessella were developing the GUI. This demanded a close and flexible working
relationship to ensure smooth progress.
</BODY>
</HTML>
